<template>
<div>
    <section id="topbar" class="text-light">
        <nav class="navbar navbar-expand-md navbar-light bg-extra-light text-uppercase">
            <div class="container-xl">
                <span class="navbar-text text-center text-md-left flex-grow-1">
                    SNK Marketing LLC
                </span>
                <div class="collapse navbar-collapse justify-content-end">
                    <ul class="nav nav-menu">
                        <li class="nav-item">
                            <a class="nav-link text-light hover-text-accent" href="tel:+1 773 530 1030">
                                +1 773 530 1030
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light hover-text-accent" href="mailto:contact@snkmarketing.us">
                                contact@snkmarketing.us
                            </a>

                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </section>

    <header :class="['own_sticky_header', { sticky: isSticky }]">
        <div class="container-xl">
            <nav class="navbar navbar-light sticky-top navbar-expand-lg py-4">
                <!-- Site Logo -->
                <a class="navbar-brand scrollto" href="/">
                    <img src="../../../../public/assets/images/logo.png" class="navbar-brand__logo" alt="" width="200" style="object-fit: contain;" />
                </a>
                <div class="collapse navbar-collapse justify-content-end" id="site-mega-menu">
                    <ul class="nav navbar-nav nav-menu">
                        <li class="nav-item">
                            <a class="nav-link text-uppercase active" id="navbar-about" data-toggle="" href="/" aria-haspopup="true" aria-expanded="true">
                                Home
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-uppercase active" id="navbar-about" data-toggle="" href="/about-us" aria-haspopup="true" aria-expanded="true">
                                About Us
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-uppercase" id="navbar-services" data-toggle="" href="/service" aria-haspopup="true" aria-expanded="true">
                                Services
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-uppercase" id="navbar-projects" href="/industries">
                                Industries
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-uppercase" id="navbar-contact" data-toggle="" href="/partnership" aria-haspopup="true" aria-expanded="true">
                                Partnerships
                            </a>
                        </li>
                        <!-- <li class="nav-item">
                  <a class="nav-link text-uppercase" id="navbar-contact" data-toggle="" href="/industries" aria-haspopup="true" aria-expanded="true">
                    Industries
                  </a>
                </li> -->
                        <li class="nav-item">
                            <a class="nav-link text-uppercase" id="navbar-contact" data-toggle="" href="https://blog.snkmarketing.us/" aria-haspopup="true" aria-expanded="true">
                                Blog
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="/contact-us" class="nav-link text-uppercase" style="cursor: pointer;">
                                Contact Us
                            </a>
                        </li>
                    </ul>
                </div>
                <!-- Responsive Menu Toggle -->
                <button class="navbar-toggler ml-3 mr-n3" type="button" data-toggle="collapse" data-target="#site-mega-menu" aria-controls="site-mega-menu" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
            </nav>
        </div>
    </header>
</div>
<AddContact ref="addContactModal" />
</template>

<script>
import AddContact from '../../components/customer/AddContact.vue';
import {
    ref,
    onMounted,
    onUnmounted,
    inject,
    toRefs,
    reactive
} from 'vue';
import {
    useStore
} from 'vuex';

export default {
    components: {
        AddContact
    },
    setup() {
        const store = useStore();
        const toast = inject('toast');
        const state = reactive({

        });
        const isSticky = ref(false);
        const handleScroll = () => {
            isSticky.value = window.scrollY > 100;
        };

        onMounted(() => {
            window.addEventListener('scroll', handleScroll);
        });

        onUnmounted(() => {
            window.removeEventListener('scroll', handleScroll);
        });
        const addContactModal = ref(null);

        function showAddContactModal() {
            addContactModal.value.showModal();
        }
        return {
            ...toRefs(state),
            isSticky,
            addContactModal,
            showAddContactModal,

        };
    }
};
</script>

<style scoped>
@import url('../../../css/website/style.css');
@import url('../../../css/website/custom.min.css');

.own_sticky_header {
    transition: all 0.3s ease-in-out;
}

.own_sticky_header.sticky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: white;
    /* Adjust the background color as needed */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    /* Optional shadow for better visibility */
}
</style>
